Subject: Type of param $in for importXML(...) not precisely specified
Description

From David Buchmann:

i read through the session interface. it declares the method importXML($parentAbsPath, $in, $uuidBehavior);
the full definition is here: 
http://github.com/k-fish/PHPCR/blob/545b05799b99ba6aebacec95b10db5c2ce2c1c1d/Classes/SessionInterface.php
what type of resource is to be expected here? http://ch.php.net/resource lists several that would be thinkable: "domxml document" and
"xml" as well as "stream" and maybe others (i am no streams expert). it would be useful to specify this exactly...

This applies to WorkspaceInterface and SessionInterface.

Related issues:
related to PHPCR - Task # 5165: Make type for $out in XML export methods cons... Resolved 2009-10-28

Associated revisions
Revision 3667046e - 2009-10-28 14:37 - Karsten Dambekalns

[~API] PHPCR: importXML() in Session and Workspace now expects an URI to read from, resolves #3844.
[~API] PHPCR: getImportContentHandler() in Session and Workspace now return F3\PHPCR\ContentHandlerInterface, resolves #5161.
[~TASK] PHPCR: finished TraversingItemVisitor.

History
#1 - 2009-07-07 22:33 - Karsten Dambekalns

It would have to be a file stream to be close to the JSR-283 spec.

But from the viewpoint of a possibly performant implementation using XMLReader seems advisable - and for that a simple URI pointing to a file would
be the easiest solution. A possible combination could be to hand in a file handle and then use stream_get_meta_data() to find out the URI for it.

#2 - 2009-07-10 10:33 - Karsten Dambekalns

It will be come a string representing an URI for our interfaces.

#3 - 2009-10-28 15:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r3363.
